Package io.flutter.app

# Class FlutterActivity

java.lang.Object
android.content.Context
android.content.ContextWrapper
android.view.ContextThemeWrapper
android.app.Activity
io.flutter.app.FlutterActivity

All Implemented Interfaces:
  `ComponentCallbacks`, `ComponentCallbacks2`, `KeyEvent.Callback`, `LayoutInflater.Factory`, `LayoutInflater.Factory2`, `View.OnCreateContextMenuListener`, `Window.Callback`, `FlutterActivityDelegate.ViewFactory`, `PluginRegistry`, `FlutterView.Provider`

@Deprecated public class FlutterActivity extends Activity implements FlutterView.Provider, PluginRegistry, FlutterActivityDelegate.ViewFactory
Deprecated.
`FlutterActivity` is the new API that now replaces this class. See https://flutter.dev/go/android-project-migration for more migration details.
Deprecated base class for activities that use Flutter.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class android.app.Activity

  `Activity.ScreenCaptureCallback`

  ## Nested classes/interfaces inherited from class android.content.Context

  `Context.BindServiceFlags`

  ## Nested classes/interfaces inherited from interface io.flutter.plugin.common.PluginRegistry

  `PluginRegistry.ActivityResultListener, PluginRegistry.NewIntentListener, PluginRegistry.PluginRegistrantCallback, PluginRegistry.Registrar, PluginRegistry.RequestPermissionsResultListener, PluginRegistry.UserLeaveHintListener, PluginRegistry.ViewDestroyListener, PluginRegistry.WindowFocusChangedListener`

- ## Field Summary

  ### Fields inherited from class android.app.Activity

  `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, FULLSCREEN_MODE_REQUEST_ENTER, FULLSCREEN_MODE_REQUEST_EXIT, OVERRIDE_TRANSITION_CLOSE, OVERRIDE_TRANSITION_OPEN, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

  ### Fields inherited from class android.content.Context

  `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APP_SEARCH_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_ACTIVITY_STARTS, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_EXTERNAL_SERVICE_LONG, BIND_IMPORTANT, BIND_INCLUDE_CAPABILITIES, BIND_NOT_FOREGROUND, BIND_NOT_PERCEPTIBLE, BIND_PACKAGE_ISOLATED_PROCESS, BIND_SHARED_ISOLATED_PROCESS, BIND_WAIVE_PRIORITY, BIOMETRIC_SERVICE, BLOB_STORE_SERVICE, BLUETOOTH_SERVICE, BUGREPORT_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_DIAGNOSTICS_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTACT_KEYS_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, CREDENTIAL_SERVICE, CROSS_PROFILE_APPS_SERVICE, DEVICE_ID_DEFAULT, DEVICE_ID_INVALID, DEVICE_LOCK_SERVICE, DEVICE_POLICY_SERVICE, DISPLAY_HASH_SERVICE, DISPLAY_SERVICE, DOMAIN_VERIFICATION_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, EUICC_SERVICE, FILE_INTEGRITY_SERVICE, FINGERPRINT_SERVICE, GAME_SERVICE, GRAMMATICAL_INFLECTION_SERVICE, HARDWARE_PROPERTIES_SERVICE, HEALTHCONNECT_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCALE_SERVICE, LOCATION_SERVICE, MEDIA_COMMUNICATION_SERVICE, MEDIA_METRICS_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, OVERLAY_SERVICE, PEOPLE_SERVICE, PERFORMANCE_HINT_SERVICE, PERSISTENT_DATA_BLOCK_SERVICE, POWER_SERVICE, PRINT_SERVICE, PROFILING_SERVICE, RECEIVER_EXPORTED, RECEIVER_NOT_EXPORTED, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, ROLE_SERVICE, SEARCH_SERVICE, SECURITY_STATE_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STATUS_BAR_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_IMS_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, TV_INTERACTIVE_APP_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_MANAGER_SERVICE, VIBRATOR_SERVICE, VIRTUAL_DEVICE_SERVICE, VPN_MANAGEMENT_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

  ### Fields inherited from interface android.content.ComponentCallbacks2

  `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlutterActivity()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FlutterNativeView`
  `createFlutterNativeView()`
  Deprecated.
  Hook for subclasses to customize the creation of the `FlutterNativeView`.
  `FlutterView`
  `createFlutterView(Context context)`
  Deprecated.
  Hook for subclasses to customize the creation of the `FlutterView`.
  `FlutterView`
  `getFlutterView()`
  Deprecated.
  Returns the Flutter view used by this activity; will be null before `onCreate(Bundle)` is called.
  `final boolean`
  `hasPlugin(String key)`
  Deprecated.
  Returns whether the specified plugin is known to this registry.
  `protected void`
  `onActivityResult(int requestCode, int resultCode, Intent data)`
  Deprecated.
  `void`
  `onBackPressed()`
  Deprecated.
  `void`
  `onConfigurationChanged(Configuration newConfig)`
  Deprecated.
  `protected void`
  `onCreate(Bundle savedInstanceState)`
  Deprecated.
  `protected void`
  `onDestroy()`
  Deprecated.
  `void`
  `onLowMemory()`
  Deprecated.
  `protected void`
  `onNewIntent(Intent intent)`
  Deprecated.
  `protected void`
  `onPause()`
  Deprecated.
  `protected void`
  `onPostResume()`
  Deprecated.
  `void`
  `onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults)`
  Deprecated.
  `protected void`
  `onResume()`
  Deprecated.
  `protected void`
  `onStart()`
  Deprecated.
  `protected void`
  `onStop()`
  Deprecated.
  `void`
  `onTrimMemory(int level)`
  Deprecated.
  `void`
  `onUserLeaveHint()`
  Deprecated.
  `void`
  `onWindowFocusChanged(boolean hasFocus)`
  Deprecated.
  `final PluginRegistry.Registrar`
  `registrarFor(String pluginKey)`
  Deprecated.
  Returns a `PluginRegistry.Registrar` for receiving the registrations pertaining to the specified plugin.
  `boolean`
  `retainFlutterNativeView()`
  Deprecated.
  Hook for subclasses to indicate that the `FlutterNativeView` returned by `FlutterActivityDelegate.ViewFactory.createFlutterNativeView()` should not be destroyed when this activity is destroyed.
  `final <T> T`
  `valuePublishedByPlugin(String pluginKey)`
  Deprecated.
  Returns the value published by the specified plugin, if any.

  ### Methods inherited from class android.app.Activity

  `addContentView, attachBaseContext, clearOverrideActivityTransition, closeContextMenu, closeOptionsMenu, createPendingResult, dismissDialog, dismissKeyboardShortcutsHelper, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, dump, enterPictureInPictureMode, enterPictureInPictureMode, findViewById, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getApplication, getCaller, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentCaller, getCurrentFocus, getFragmentManager, getInitialCaller, getIntent, getLastNonConfigurationInstance, getLaunchedFromPackage, getLaunchedFromUid, getLayoutInflater, getLoaderManager, getLocalClassName, getMaxNumPictureInPictureActions, getMediaController, getMenuInflater, getOnBackInvokedDispatcher, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSplashScreen, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, invalidateOptionsMenu, isActivityTransitionRunning, isChangingConfigurations, isChild, isDestroyed, isFinishing, isImmersive, isInMultiWindowMode, isInPictureInPictureMode, isLaunchedFromBubble, isLocalVoiceInteractionSupported, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onActivityResult, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onCreateThumbnail, onCreateView, onCreateView, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onGetDirectActions, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onLocalVoiceInteractionStarted, onLocalVoiceInteractionStopped, onMenuItemSelected, onMenuOpened, onMultiWindowModeChanged, onMultiWindowModeChanged, onNavigateUp, onNavigateUpFromChild, onNewIntent, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPerformDirectAction, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPictureInPictureRequested, onPictureInPictureUiStateChanged, onPostCreate, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onPreparePanel, onProvideAssistContent, onProvideAssistData, onProvideKeyboardShortcuts, onProvideReferrer, onRequestPermissionsResult, onRestart, onRestoreInstanceState, onRestoreInstanceState, onRetainNonConfigurationInstance, onSaveInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStateNotSaved, onTitleChanged, onTopResumedActivityChanged, onTouchEvent, onTrackballEvent, onUserInteraction, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, overrideActivityTransition, overrideActivityTransition, overridePendingTransition, overridePendingTransition, postponeEnterTransition, recreate, registerActivityLifecycleCallbacks, registerComponentCallbacks, registerForContextMenu, registerScreenCaptureCallback, releaseInstance, removeDialog, reportFullyDrawn, requestDragAndDropPermissions, requestFullscreenMode, requestPermissions, requestPermissions, requestShowKeyboardShortcuts, requestVisibleBehind, requestWindowFeature, requireViewById, runOnUiThread, setActionBar, setAllowCrossUidActivitySwitchFromBelow, setContentTransitionManager, setContentView, setContentView, setContentView, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setInheritShowWhenLocked, setIntent, setIntent, setLocusContext, setMediaController, setPictureInPictureParams, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRecentsScreenshotEnabled, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setShouldDockBigOverlays, setShowWhenLocked, setTaskDescription, setTheme, setTitle, setTitle, setTitleColor, setTranslucent, setTurnScreenOn, setVisible, setVolumeControlStream, setVrModeEnabled, shouldDockBigOverlays, shouldShowRequestPermissionRationale, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityForResult, startActivityForResult, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderForResult, startIntentSenderForResult, startIntentSenderFromChild, startIntentSenderFromChild, startLocalVoiceInteraction, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLocalVoiceInteraction, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterActivityLifecycleCallbacks, unregisterComponentCallbacks, unregisterForContextMenu, unregisterScreenCaptureCallback`

  ### Methods inherited from class android.view.ContextThemeWrapper

  `applyOverrideConfiguration, getAssets, getResources, getTheme, setTheme`

  ### Methods inherited from class android.content.ContextWrapper

  `bindIsolatedService, bindService, bindService, bindService, bindService, bindServiceAsUser, bindServiceAsUser, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingOrSelfUriPermissions, checkCallingPermission, checkCallingUriPermission, checkCallingUriPermissions, checkContentUriPermissionFull, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, checkUriPermissions, clearWallpaper, createAttributionContext, createConfigurationContext, createContext, createContextForSplit, createDeviceContext, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, createWindowContext, createWindowContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAttributionSource, getAttributionTag, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDeviceId, getDir, getDisplay, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainExecutor, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getOpPackageName, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getParams, getSharedPreferences, getSystemServiceName, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, isUiContext, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerDeviceIdChangeListener, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeSelfPermissionsOnKill, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startForegroundService, startInstrumentation, startService, stopService, unbindService, unregisterDeviceIdChangeListener, unregisterReceiver, updateServiceGroup`

  ### Methods inherited from class android.content.Context

  `bindIsolatedService, getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, revokeSelfPermissionOnKill, sendBroadcastWithMultiplePermissions`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface android.view.Window.Callback

  `onPointerCaptureChanged`

- ## Constructor Details

  - ### FlutterActivity

    public FlutterActivity()
    Deprecated.

- ## Method Details

  - ### getFlutterView

    public FlutterView getFlutterView()
    Deprecated.
    Returns the Flutter view used by this activity; will be null before `onCreate(Bundle)` is called.
    Specified by:
      `getFlutterView` in interface `FlutterView.Provider`
    Returns:
      a reference to the Flutter view maintained by this object.

  - ### createFlutterView

    public FlutterView createFlutterView(Context context)
    Deprecated.
    Hook for subclasses to customize the creation of the `FlutterView`.

    The default implementation returns `null`, which will cause the activity to use a newly instantiated full-screen view.

    Specified by:
      `createFlutterView` in interface `FlutterActivityDelegate.ViewFactory`

  - ### createFlutterNativeView

    public FlutterNativeView createFlutterNativeView()
    Deprecated.
    Hook for subclasses to customize the creation of the `FlutterNativeView`.

    The default implementation returns `null`, which will cause the activity to use a newly instantiated native view object.

    Specified by:
      `createFlutterNativeView` in interface `FlutterActivityDelegate.ViewFactory`

  - ### retainFlutterNativeView

    public boolean retainFlutterNativeView()
    Deprecated.
    Description copied from interface: `FlutterActivityDelegate.ViewFactory`
    Hook for subclasses to indicate that the `FlutterNativeView` returned by `FlutterActivityDelegate.ViewFactory.createFlutterNativeView()` should not be destroyed when this activity is destroyed.
    Specified by:
      `retainFlutterNativeView` in interface `FlutterActivityDelegate.ViewFactory`
    Returns:
      Whether the FlutterNativeView is retained.

  - ### hasPlugin

    public final boolean hasPlugin(String key)
    Deprecated.
    Description copied from interface: `PluginRegistry`
    Returns whether the specified plugin is known to this registry.
    Specified by:
      `hasPlugin` in interface `PluginRegistry`
    Parameters:
      `key` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
    Returns:
      true if this registry has handed out a registrar for the specified plugin.

  - ### valuePublishedByPlugin

    public final <T> T valuePublishedByPlugin(String pluginKey)
    Deprecated.
    Description copied from interface: `PluginRegistry`
    Returns the value published by the specified plugin, if any.

    Plugins may publish a single value, such as an instance of the plugin's main class, for situations where external control or interaction is needed. Clients are expected to know the value's type.

    Specified by:
      `valuePublishedByPlugin` in interface `PluginRegistry`
    Type Parameters:
      `T` - The type of the value.
    Parameters:
      `pluginKey` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
    Returns:
      the published value, possibly null.

  - ### registrarFor

    public final PluginRegistry.Registrar registrarFor(String pluginKey)
    Deprecated.
    Description copied from interface: `PluginRegistry`
    Returns a `PluginRegistry.Registrar` for receiving the registrations pertaining to the specified plugin.
    Specified by:
      `registrarFor` in interface `PluginRegistry`
    Parameters:
      `pluginKey` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
    Returns:
      A `PluginRegistry.Registrar` for receiving the registrations pertianing to the specified plugin.

  - ### onCreate

    protected void onCreate(Bundle savedInstanceState)
    Deprecated.
    Overrides:
      `onCreate` in class `Activity`

  - ### onStart

    protected void onStart()
    Deprecated.
    Overrides:
      `onStart` in class `Activity`

  - ### onResume

    protected void onResume()
    Deprecated.
    Overrides:
      `onResume` in class `Activity`

  - ### onDestroy

    protected void onDestroy()
    Deprecated.
    Overrides:
      `onDestroy` in class `Activity`

  - ### onBackPressed

    public void onBackPressed()
    Deprecated.
    Overrides:
      `onBackPressed` in class `Activity`

  - ### onStop

    protected void onStop()
    Deprecated.
    Overrides:
      `onStop` in class `Activity`

  - ### onPause

    protected void onPause()
    Deprecated.
    Overrides:
      `onPause` in class `Activity`

  - ### onPostResume

    protected void onPostResume()
    Deprecated.
    Overrides:
      `onPostResume` in class `Activity`

  - ### onRequestPermissionsResult

    public void onRequestPermissionsResult(int requestCode, @NonNull String[] permissions, @NonNull int[] grantResults)
    Deprecated.
    Overrides:
      `onRequestPermissionsResult` in class `Activity`

  - ### onActivityResult

    protected void onActivityResult(int requestCode, int resultCode, Intent data)
    Deprecated.
    Overrides:
      `onActivityResult` in class `Activity`

  - ### onNewIntent

    protected void onNewIntent(Intent intent)
    Deprecated.
    Overrides:
      `onNewIntent` in class `Activity`

  - ### onUserLeaveHint

    public void onUserLeaveHint()
    Deprecated.
    Overrides:
      `onUserLeaveHint` in class `Activity`

  - ### onWindowFocusChanged

    public void onWindowFocusChanged(boolean hasFocus)
    Deprecated.
    Specified by:
      `onWindowFocusChanged` in interface `Window.Callback`
    Overrides:
      `onWindowFocusChanged` in class `Activity`

  - ### onTrimMemory

    public void onTrimMemory(int level)
    Deprecated.
    Specified by:
      `onTrimMemory` in interface `ComponentCallbacks2`
    Overrides:
      `onTrimMemory` in class `Activity`

  - ### onLowMemory

    public void onLowMemory()
    Deprecated.
    Specified by:
      `onLowMemory` in interface `ComponentCallbacks`
    Overrides:
      `onLowMemory` in class `Activity`

  - ### onConfigurationChanged

    public void onConfigurationChanged(Configuration newConfig)
    Deprecated.
    Specified by:
      `onConfigurationChanged` in interface `ComponentCallbacks`
    Overrides:
      `onConfigurationChanged` in class `Activity`